curl "https://app.runtm.com/api/cloud/user/instructions" \
-H "Authorization: Bearer runtm_xxx"
import requests
resp = requests.get(
"https://app.runtm.com/api/cloud/user/instructions",
headers={"Authorization": "Bearer runtm_xxx"},
)
print(resp.json())
const resp = await fetch("https://app.runtm.com/api/cloud/user/instructions", {
headers: {
Authorization: "Bearer runtm_xxx",
},
});
const data = await resp.json();
{
"instructions": "Always use TypeScript. Prefer functional components with hooks.",
"updated_at": "2026-05-08T14:30:00Z"
}
Context
Get User Instructions
Retrieve the custom instructions set by the authenticated user.
GET
/
api
/
user
/
instructions
curl "https://app.runtm.com/api/cloud/user/instructions" \
-H "Authorization: Bearer runtm_xxx"
import requests
resp = requests.get(
"https://app.runtm.com/api/cloud/user/instructions",
headers={"Authorization": "Bearer runtm_xxx"},
)
print(resp.json())
const resp = await fetch("https://app.runtm.com/api/cloud/user/instructions", {
headers: {
Authorization: "Bearer runtm_xxx",
},
});
const data = await resp.json();
{
"instructions": "Always use TypeScript. Prefer functional components with hooks.",
"updated_at": "2026-05-08T14:30:00Z"
}
Returns the user’s custom instructions. When an organization context is provided, returns the user’s instructions scoped to that organization; otherwise returns their personal instructions.
Required scope:
context:read
string
required
Bearer token.
Authorization: Bearer runtm_xxxstring
Include to retrieve instructions scoped to an organization context. Omit for personal instructions.
string
The user’s custom instructions text. Null if none set.
string
ISO 8601 timestamp of the last update. Null if never set.
curl "https://app.runtm.com/api/cloud/user/instructions" \
-H "Authorization: Bearer runtm_xxx"
import requests
resp = requests.get(
"https://app.runtm.com/api/cloud/user/instructions",
headers={"Authorization": "Bearer runtm_xxx"},
)
print(resp.json())
const resp = await fetch("https://app.runtm.com/api/cloud/user/instructions", {
headers: {
Authorization: "Bearer runtm_xxx",
},
});
const data = await resp.json();
{
"instructions": "Always use TypeScript. Prefer functional components with hooks.",
"updated_at": "2026-05-08T14:30:00Z"
}